server:
  port: 8081

spring:
  application:
    name: USER-SERVICE
  config:
    import: optional:configserver:http://localhost:8085
  datasource:
    url: jdbc:mysql://localhost:3306/db_microservices
    username: root
    password: root
    driver: com.mysql.cj.jdbc.Driver
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL8Dialect

management:
  health:
    circuitbreakers:
      enabled: true
    enpoints:
      web:
        exposure:
          include: health

    enpoint:
      health:
        show-details: always


resilience4j:
  circuitbreaker:
    instances:
      ratingHotelBreaker:
        registerHealthIndicator: true
        eventConsumerBufferSize: 10
        failureRateThreshold: 50
        minimumNumberOfCalls: 5
        automaticTransitionFromOpenToHalfOpenEnabled: true
        waitDurationInOpenState: 6s
        permittedNumberOfCallsInHalfOpenState: 3
        slidingWindowSize: 10
        slidingWindowType: COUNT_BASED

    retry:
      instances:
        ratingHotelService:
          max-attempts: 3
          wait-duration: 5s


